Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 293642

Summary: media-video/cheese-2.28.1 misses some gstreamer runtime dependency
Product: Gentoo Linux Reporter: MarisN <maris.gis>
Component: Current packagesAssignee: Gentoo Linux Gnome Desktop Team <gnome>
Status: RESOLVED FIXED    
Severity: normal    
Priority: High    
Version: unspecified   
Hardware: AMD64   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 288249    

Description MarisN 2009-11-18 19:03:38 UTC
I emerged media-video/cheese-2.28.1 with v4l use flag. Cheese launches but complains about missing gstreamer feature "One or more needed gstreamer elements are missing: videobalance." Clicking OK closes Cheese.



Reproducible: Always



Expected Results:  
If it's impossible to run Cheese without this "videobalance" thing, then it must be set as hard dependency.

glacier ~ # emerge --info
Portage 2.1.7.4 (default/linux/amd64/10.0/desktop, gcc-4.4.2, glibc-2.11-r0, 2.6.31-gentoo x86_64)
=================================================================                                 
System uname: Linux-2.6.31-gentoo-x86_64-Intel-R-_Core-TM-2_Duo_CPU_P9500_@_2.53GHz-with-gentoo-2.0.1
Timestamp of tree: Wed, 18 Nov 2009 10:15:01 +0000                                                   
app-shells/bash:     4.0_p35                                                                         
dev-java/java-config: 2.1.9-r1                                                                       
dev-lang/python:     2.4.6, 2.5.4-r2, 2.6.4, 3.1.1-r1                                                
dev-python/pycrypto: 2.1.0_beta1                                                                     
dev-util/cmake:      2.6.4-r3                                                                        
sys-apps/baselayout: 2.0.1                                                                           
sys-apps/openrc:     0.5.2-r2                                                                        
sys-apps/sandbox:    2.2                                                                             
sys-devel/autoconf:  2.13, 2.63-r1                                                                   
sys-devel/automake:  1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2, 1.11                                      
sys-devel/binutils:  2.20                                                                            
sys-devel/gcc-config: 1.4.1                                                                          
sys-devel/libtool:   2.2.6a                                                                          
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=nocona -O2 -pipe -ggdb"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=nocona -O2 -pipe -ggdb"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests collision-protect distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms splitdebug strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo.tups.lv/source"
LANG="lv_LV"
LC_ALL="lv_LV.utf8"
LDFLAGS="-Wl,-O1"
LINGUAS="lv"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/x11 /home/maris/soft/portage"
SYNC="rsync://gentoo.tups.lv/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo cdr cli clucene consolekit cracklib crypt cups dbus dell dhcpcd dri dts dvd dvdr eap-tls eds emboss encode evo exif fam firefox flac fortran gdal gdbm geos gif gpm gstreamer hal iconv idn inotify ipv6 jpeg json kde laptop ldap libnotify mad mikmod mmx mmxext mng modules mp3 mp4 mpeg mudflap multilib ncurses nls nptl nptlonly nsplugin offensive ogg opengl openmp pam pcre pdf perl png ppds pppd proj python qt3support qt4 quicktime readline reflection sdl semantic-desktop session slp spell spl sqlite sse sse2 sse3 ssl ssse3 startup-notification svg sysfs tcpd theora thunar tiff truetype unicode usb utf-8 vdpau vorbis x264 xcomposite xinerama xml xmp xorg xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authz_host autoindex dir headers mime vhost_alias" APACHE2_MPMS="prefork" ELIBC="glibc" INPUT_DEVICES="synaptics mouse keyboard evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="lv" USERLAND="GNU" VIDEO_CARDS="vesa nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Gilles Dartiguelongue gentoo-dev 2009-11-18 22:28:52 UTC
interesting.
Comment 2 Romain Perier (RETIRED) gentoo-dev 2009-11-20 20:38:52 UTC
Could you try to emerge gst-plugins-good (videobalance is in these plugins) if it's not installed yet, and get back us ?

thanks in advance
Comment 3 Romain Perier (RETIRED) gentoo-dev 2009-11-20 20:39:08 UTC
PS: Mart another idea ?
Comment 4 MarisN 2009-11-21 13:31:02 UTC
(In reply to comment #2)
> Could you try to emerge gst-plugins-good (videobalance is in these plugins) if
> it's not installed yet, and get back us ?
> 
> thanks in advance
> 

Indeed emerging media-libs/gst-plugins-good-0.10.17 fixed issue. Now I'm able to taste Cheese :)

Leaving open till it's fixed in portage.
Comment 5 Romain Perier (RETIRED) gentoo-dev 2009-11-21 14:33:49 UTC
+*cheese-2.28.1-r1 (21 Nov 2009)
+
+  21 Nov 2009; Romain Perier <mrpouet@gentoo.org> +cheese-2.28.1-r1.ebuild:
+  Add missing gst-plugins-good pure RDEPEND (for videobalance plugin) per
+  bug #293642, new revision.

Fixed in the main tree with a revbump, many thanks for feedbacks and for reporting ;)